#include 	"SMain.h"
#include	"XMain.h"

Neuron	CreateNeuron( int layer, int node, int inpnum, int outnum )
{
	Neuron	n;
	int	i;

	if( (n=(Neuron )calloc(1, sizeof(struct NEURON))) == NULL )
		ErrorHandler(0, MALLOC_ERROR, 0);

	/* weight array of lenght = number of inputs */
	if( (n->weight=(double *)calloc(inpnum,sizeof(double))) == NULL )
		ErrorHandler(0, MALLOC_ERROR, 1);

	/* Set random weights and threshold */
	for(i=0;i<inpnum;i++){
		if( layer == 0 )
			(n->weight)[i] 	= 1.0;
		else
			(n->weight)[i] 	= Random(MAX_WEIGHT);
	}

	n->threshold	= Random(MAX_THRESH);
	
	/* Set coordinates */
	n->layer = layer;
	n->node  = node;

	/* Register the neuron pointer */
	NCP[layer][node] = n;

	return( n ); /* return the neuron pointer */
}	


