#include "SMain.h"
#include "XMain.h"


void	DisplayPopupRoutine( Widget W, XtPointer client_data, XtPointer call_data )
{
        Arg             arg[5];
        char            dummy[2];
        int             i=0;


if( Network_Not_Mapped ) {
	ErrorHandler(94, NOT_MAPPED_YET, 0);
        return;
}
if( Type[0] != CONTINUOUS ){
	ErrorHandler(94, WRONG_PARAMETERS, 0);
        return;
}

        i = 0;
        XtSetArg(arg[i], XtNwidth, (Dimension )194);i++;
        XtSetArg(arg[i], XtNheight, (Dimension )170);i++;
        XtSetArg(arg[i], XtNx, (Position )280);i++;
        XtSetArg(arg[i], XtNy, (Position )30);i++;
        XtSetValues( DisplayPopup, arg, i);

        XtPopupSpringLoaded( DisplayPopup );
}


void    DisplayQuitRoutine( Widget W, XtPointer client_data, XtPointer call_data )
{
        /* no need to get any values in quit. if user wants to take values then should do apply first */
        XtPopdown(DisplayPopup);

}
      	

void	DisplayTrainingRoutine( Widget W, XtPointer client_data, XtPointer call_data )
{
	int i, j;

for(i=0;i<num_exemplars;i++){
	for(j=0;j<25;j++){
		printf("%f ", Training[i].Input[j]);
	}
	printf("\n TARGET=%f ", Training[i].Target[0]);
}
}
void	DisplayRunningRoutine( Widget W, XtPointer client_data, XtPointer call_data )
{
	int	i, x,y, *bluck;
	Arg	arg[5];
	String	string;
	char	data[200], save[200];
	
	XtSetArg(arg[0], XtNstring, &string);
	XtGetValues(DisplayAscDataname, arg, 1);
	if( string != NULL ){
		strcpy(data, string);
		XtSetArg(arg[0], XtNstring, &string);
		XtGetValues(DisplayAscFilename, arg, 1);
		strcpy(save, string);
		ShowImage(data, save, FALSE);
		XFlush(dpy);
/*		XFillRectangle(dpy, win0, greengc, 0, 0, (unsigned int )image_width, (unsigned int )image_height);*/
	}

	for(x=2;x<image_width;x+=5){
		for(y=2;y<image_height;y+=5){
			bluck = get_exemplar(x,y);
		        for(i=0;i<CFTable[0];i++)       examination[i] = (float )bluck[i]/255.0;
			ForwardPropagate(-1);
			XFillRectangle(dpy, win0, WHICH_COLOR( (int )ROUND_UP(NCP[max_layers-1][0]->sigmoid) , redgc, whitegc),
					 y-2, x-2, (unsigned int )5, (unsigned int )5);
			
		}
	}
	XFlush(dpy);
	getchar();
	XDestroyWindow(dpy, win0);
	XFlush(dpy);
	
}

void	DisplaySaveRoutine( Widget W, XtPointer client_data, XtPointer call_data )
{
	puts("saving");
}

void	DisplayLoadRoutine( Widget W, XtPointer client_data, XtPointer call_data )
{
	Arg	arg[5];
	String	string;
	char	data[200], save[200];


	XtSetArg(arg[0], XtNstring, &string);
	XtGetValues(DisplayAscDataname, arg, 1);
	if( string != NULL ){
		strcpy(data, string);
		XtSetArg(arg[0], XtNstring, &string);
		XtGetValues(DisplayAscFilename, arg, 1);
		strcpy(save, string);
		ShowImage(data, save, TRUE);
		XFlush(dpy);
	}
	return;
}

